#
# spec file for package python-ReportLab
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.


# norootforbuild


Name:           python-ReportLab
Summary:        Open Source PDF library for Python
Version:        2.3
Release:        2.1
License:        BSD-like,Other uncritical OpenSource License
Group:          Development/Libraries/Python
Url:            http://www.reportlab.org/
Vendor:         openSUSE-Education
Source0:        ReportLab_2_3.tar.bz2
Patch1:         ReportLab_2_3-missing-includes.patch
# Remove tests that involve accessing the internet. This will 
# not work from the openSUSE Build Server
Patch2:         remove_http_tests.diff
BuildRequires:  python-devel freetype2-devel
BuildRequires:  python-xml
BuildRequires:  libjpeg-devel 
BuildRequires:  giflib-devel
%if 0%{?suse_version} >= 1030
BuildRequires:  fdupes
%endif
BuildRequires:	python-imaging
# python-ReportLab is needed by HPLIP for fax coverpages
# but faxing in HPLIP works also without coverpages:
Supplements:    hplip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
See http://www.reportlab.org/rl_toolkit.html

The ReportLab Open Source PDF library is a proven industry-strength PDF
generating solution, that you can use for meeting your requirements and
deadlines in enterprise reporting systems.

Our free Open Source PDF library is suitable for web publishers,
developers or creative design professionals who need to quickly and
easily create or automate complex (even data-driven) documents. It lets
you create professional documents programmatically without being locked
into one special technology and/or platform. It has grown over years in
response to the real-world requirements of large financial
institutions' reporting needs, making it the trusted proven foundation
of existing enterprise solutions rather than a just a fancy gimmick or
interesting library.

This library implements a flexible layout engine named Platypus that
builds documents from components like headlines, paragraphs, fonts,
tables, bitmap images, vector graphics, etc. These flowable elements
are placed in a document "story" following a set of templates for
frames, pages and the entire document itself. In addition to the
standard 14 PostScript fonts there is full support for custom embedded
Type-1 as well as for Asian fonts. The included graphics subpackage
provides a set of primitive shapes as well as reusable widgets building
on them. Among the sample collections is a very useful set of business
chart diagrams, including bar charts, line charts and pie charts.
Different renderers can be used to create vector graphics (in fact,
even full document pages) as individual components not only in PDF, but
also in EPS and in a variety of bitmap formats including JPEG, PNG,
GIF, BMP and PICT.



Authors:
--------
    ReportLab Inc. <http://www.reportlab.com>

%prep
%setup -q -n ReportLab_2_3
%patch1 -p0
%patch2 -p0

%build
python setup.py tests-preinstall
python setup.py build

%check
python setup.py tests

%install
%__python ./setup.py install -O1 --skip-build --prefix="%{_prefix}" --root="%{buildroot}" --record=INSTALLED_FILES
find %{buildroot} -name "*pyc" -exec rm {} \;
sed -i '/pyc$/d' INSTALLED_FILES
%if 0%{?suse_version} >= 1030
%fdupes %{buildroot}
%endif

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%dir %{py_sitedir}/reportlab
%dir %{py_sitedir}/reportlab/fonts
%dir %{py_sitedir}/reportlab/graphics
%dir %{py_sitedir}/reportlab/graphics/barcode
%dir %{py_sitedir}/reportlab/graphics/charts
%dir %{py_sitedir}/reportlab/graphics/samples
%dir %{py_sitedir}/reportlab/graphics/widgets
%dir %{py_sitedir}/reportlab/lib
%dir %{py_sitedir}/reportlab/pdfbase
%dir %{py_sitedir}/reportlab/pdfgen
%dir %{py_sitedir}/reportlab/platypus

%changelog
* Fri Jun 19 2009 lars@linux-schulserver.de
- added ReportLab_2_3-missing-includes.patch
- own the directories
* Tue Jun  9 2009 lars@linux-schulserver.de
- update to 2.3:
  New Features:
  + PDF:
  ++ Encryption support
  ++ Change to advanced options in drawImage
  + Platypus:
  ++ Table Of Contents
  ++ Variable border padding for paragraphs
  ++ New programming flowable: docAssert
  Bug fixes:
  + Fixed many old documentation and installation issues
  + Fixed Image anchoring code to match documentation
  + renderSVG groups problem
  + rl_codecs.py now compatible with WordAxe
- build in openSUSE-Education repository now
- note: still needs many fixes to fulfill all tests
* Thu Sep 11 2008 jsmeix@suse.de
- initial version (2.1).
